Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056236 - Provide registering TaskLifeCycleEventListener in RegisterableItemsFactory
Summary: Provide registering TaskLifeCycleEventListener in RegisterableItemsFactory
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Core
Version: 6.0.0
Hardware: All
OS: All
medium
medium
Target Milestone: ER1
: 6.0.1
Assignee: Maciej Swiderski
QA Contact: Jiri Svitak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 18:30 UTC by Adam Baxter
Modified: 2015-06-02 01:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:03:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Baxter 2014-01-21 18:30:29 UTC
Description of problem:
We need to be able to register TaskLifeCycleEventListeners in all TaskServices generated by the RuntimeManager as we cannot use CDI.
We'd like the RegisterableItemsFactory to have this capability included. It is not currently possible to register TaskLifeCycleEventListeners, otherwise.

Comment 1 Maciej Swiderski 2014-01-24 13:07:12 UTC
fixed on master, that allows to register TaskLifeCycleEventListener via RegisterableItemsFactory. Moreover globals are now possible to be registered as well that way so rules that will be executed from within processes might refer to globals.

This feature required to extend existing interfaces (RegisterableItemsFactory) and creation of new ones in kie-api so they can be exposed to the users.

In addition, to cover complete scenario of configuring TaskService, runtime manager allows to pass the actual implementation of the TaskServiceFactory in case ones available out of the box won't be enough.

droolsjbpm-knowledge
master:
https://github.com/droolsjbpm/droolsjbpm-knowledge/commit/64f9f8dd9cb27304f54b5442f95cb5ad640fcd67

jbpm
master:
https://github.com/droolsjbpm/jbpm/commit/bc75b706f8d0aa3e9565cd2b2df33f1ad69dbc24

Comment 3 Jiri Svitak 2014-02-28 19:45:17 UTC
Verified in BPMS 6.0.1.ER1.


Note You need to log in before you can comment on or make changes to this bug.